=== debian/control ===
Source: passerelle-atreal-openads
Maintainer: Michael Bideau <mbideau+publik@atreal.fr>
Section: python
Priority: optional
Build-Depends: python-setuptools (>= 0.6b3), python-all (>= 2.6.6-3), debhelper (>= 9), python-django
Standards-Version: 3.9.1

Package: python-passerelle-atreal-openads
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
    python-magic
Description: Passerelle connector to openADS.API
 .
