## passerelle-atreal-openads 4.1

=== debian/changelog ===
passerelle-atreal-openads (4.1-1~eob90+1) stretch-eobuilder; urgency=low

  * (a6b22e) tox: limit mock version for compatibility with python 3.5
  * (5e0871) tox: get additional modules using https (via #46904#note-2)
  * (214f8e) tox: stop testing against python 2

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 06 Oct 2020 09:26:03 +0200

passerelle-atreal-openads (4) stretch-eobuilder; urgency=low

  * (f4092a) build: don't install manage.py
  * (55f359) jenkins: build for all default distributions
  * (417768) misc: remove README extraction for setup long description
  * (2dc417) debian: add python3 packaging
  * (14fd10) build: sync setup.py
  * (7066d2) tests: run tests with postgres
  * (b84bec) switch to native postgresql json field
  * (fe1b4f) misc: move AddIndex to end of 0002 migration (#39544)
  * (d4d123) misc: add proper 0002 migration (#39544)
  * (f5828d) tox.ini: add env to manipulate migrations (#39544)
  * (97932e) misc: remove explicit byte string in migrations for py3 (#39544)
  * (9865ae) misc: fix package path in migration (#39544)
  * (965639) misc: restore initial 0001 migration (#39544)
  * (78f65b) tox: add psycopg2 in deps
  * (424417) tox: limit enum34 to 1.1.6, for python 2 compatibility

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 12 Jun 2020 13:10:29 +0200

passerelle-atreal-openads (3) stretch-eobuilder; urgency=low

  * (4aa84a) run tests against python3 (#39533)
  * (ab0785) cast version to string (#39533)
  * (351a1a) adapt tests to python3 (#39533)
  * (60d288) use items() instead of iteritems() (#39533)
  * (253fc2) adapt chunk read to binary data (#39533)
  * (436022) open file in binary mode (#39533)
  * (574736) use response.text when expecting text (#39533)
  * (0ecaa0) grab url methods form six (#39533)
  * (87c746) catch binascii.Error when decoding base64 (#39533)
  * (5b788a) grab HTMLParser from six and adapt initialization to py3 (#39533)
  * (37534c) use six types when calling isinstance() (#39533)
  * (90bdb5) use python_2_unicode_compatible for objects representation (#39533)
  * (090e4d) use force_text() instead of unicode() (#39533)
  * (671afb) migration: use text instead of bytes (#39533)
  * (864bd9) tox: limit to xmlschema < 1.1, for Python 2 compatibility
  * (a0ae08) Models: fixed url concatenation (removed '/' at the begining of the
    second part)
  * (05a81a) Pylint: fixed 'keyword-arg-before-vararg' and module order issues
  * (498a36) Tests: fixed failing 'test_get_courrier_type' because of previous
    commit
  * (121452) Replaced courrier_type 'decision_non_opposition_DP' with
    'decision_nom_opposition_sr'
  * (6809c7) Make the connector more generic; Fixed urls and some pylint issues
  * (6197d8) misc: fix debug log call to receive string as first parameter
  * (7b5ec7) jenkins: use ci@entrouvert.org for notifications
  * (31ee9a) Tests: Refactoring: moving fixtures to conftest.py, added some fixture
    for ForwardFile and HttpRequest
  * (38061d) Locales: added translations for 'fr' locale
  * (a73937) Features: adding verbose name to all fields (mainly ForwardFile ones)
  * (a951f0) Refactoring: fix most of the (many) 'flake8' complaints
  * (9df996) Refactoring: fix all of the 'pylint' complaints for tests files
    (conftests, settings)
  * (05280c) License: prepended license text to all tests files
  * (afcca4) Refactoring: fix most of the (many many) 'pylint' complaints
  * (2786bc) License: prepended license text to most files
  * (c7e882) Resources: removed 'trac.ico' file (should not have been commited)
  * (847437) Locales: cleaning extra 'fr' PO file (should not have been commited
    previously)
  * (35fe3e) Setup.py: added locales compilation; Locales: added 'fr' PO file;
    Fixes: semantics and typos
  * (910fc8) Tests: set 'now' to a time when 'guichet' is open in
    'test_openads_create_dossier' (to prevent failure when running test when
    'guichet' is closed)
  * (990f1f) Added 'guichet' (planned availability), added CRUD views for each
    entity, many fixes and refactoring
  * (e8de2e) JSON schemas: removed __main__ part
  * (73669b) JSON schemas: fixed a typo ('Un particulier' instead of 'Une personne
    physique')
  * (4fc61d) Added 'lettre_type' param to 'get_courrier()' endpoint
  * (d4080d) Added 'collectivite' param to 'create_dossier()' endpoint, removed
    useless '*args' and '**kwargs'
  * (98cd08) 100% test coverage, dict strings are truncated when dumped, error
    messages homogeneized, and more
  * (571316) JSON Schema input validation enabled (again), utf-8 decode error fixed,
    and more
  * (6e709a) JSON Schema fixed, commented and updated with 'qualite' conditions on
    'denomination' and 'raison_sociale'
  * (6b4106) Removed JSON schema validation, Added support for 'mandataire' and
    'pouvoir_mandat', fixed bugs
  * (4eddc1) Merge branch 'master' of ssh://git.entrouvert.org/passerelle-atreal-
    openads
  * (719687) Fix: UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9'
    in position 11: ordinal not in range(128)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 04 Feb 2020 18:35:08 +0100

passerelle-atreal-openads (2) stretch-eobuilder; urgency=low

  * (8231e1) debian: add settings.d default values
  * (62dae7) Refactoring: remove 'extra_debug' field and replaced all 'self.debug'
    calls by 'self.logger.debug'
  * (02f4a0) Use HTTPResource, JSON schema for inputs, JSON lazy logging, added
    ForwardFile.attempt, and more
  * (85e815) Rebase from 'remote/origin'
  * (859377) Added testing with tox, added AGPLv3 license, replaced namespace, and
    more
  * (3a2d9e) .gitignore: exclude coverage and tests results
  * (5b2fa9) ensure tox.ini compatibility with Jenkinsfile
  * (2646ab) add tests system, via tox
  * (18e57c) Features: added a 1h timeout to every requests

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 22 Jul 2019 13:16:31 +0200

passerelle-atreal-openads (1) stretch-eobuilder; urgency=low

  * (7897da) add Jenkinsfile

