=== debian/control ===
Source: passerelle-atreal-openads
Maintainer: Michael Bideau <mbideau+publik@atreal.fr>
Section: python
Priority: optional
Build-Depends: python-setuptools, python-all, debhelper (>= 10), python-django, python3-setuptools, python3-all, python3-django
Standards-Version: 3.9.1

Package: python-passerelle-atreal-openads
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
    python-magic
Description: Passerelle connector to openADS.API
 .

Package: python3-passerelle-atreal-openads
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
    python3-magic
Description: Passerelle connector to openADS.API (Python 3)
 .
